Loading...
Searching...
No Matches
gtsam::DecisionTree< L, Y >::Node Struct Referenceabstract

## Detailed Description

template<typename L, typename Y>
struct gtsam::DecisionTree< L, Y >::Node

---------------------— Node base class ------------------------—

Inheritance diagram for gtsam::DecisionTree< L, Y >::Node:

## Public Member Functions

const void * | id () const
virtual void | print (const std::string &s, const LabelFormatter &labelFormatter, const ValueFormatter &valueFormatter) const =0
virtual void | dot (std::ostream &os, const LabelFormatter &labelFormatter, const ValueFormatter &valueFormatter, bool showZero) const =0
virtual bool | sameLeaf (const Leaf &q) const =0
virtual bool | sameLeaf (const Node &q) const =0
virtual bool | equals (const Node &other, const CompareFunc &compare=&DefaultCompare) const =0
virtual const Y & | operator() (const Assignment< L > &x) const =0
virtual Ptr | apply (const Unary &op) const =0
virtual Ptr | apply (const UnaryAssignment &op, const Assignment< L > &assignment) const =0
virtual Ptr | apply_f_op_g (const Node &, const Binary &) const =0
virtual Ptr | apply_g_op_fL (const Leaf &, const Binary &) const =0
virtual Ptr | apply_g_op_fC (const Choice &, const Binary &) const =0
virtual Ptr | choose (const L &label, size_t index) const =0
virtual bool | isLeaf () const =0

## Public Types

using | Ptr = boost::shared_ptr<const Node>

## Friends

class | boost::serialization::access
| Serialization function.

## Member Function Documentation

## apply() [1/2]

template<typename L, typename Y>

virtual Ptr gtsam::DecisionTree< L, Y >::Node::apply | ( | const Unary & | op | ) | const

pure virtual

Implemented in gtsam::DecisionTree< L, Y >::Choice< L, Y >, and gtsam::DecisionTree< L, Y >::Leaf< L, Y >.

## apply() [2/2]

template<typename L, typename Y>

virtual Ptr gtsam::DecisionTree< L, Y >::Node::apply | ( | const UnaryAssignment & | op,
|  | const Assignment< L > & | assignment ) const

pure virtual

Implemented in gtsam::DecisionTree< L, Y >::Choice< L, Y >, and gtsam::DecisionTree< L, Y >::Leaf< L, Y >.

## choose()

template<typename L, typename Y>

virtual Ptr gtsam::DecisionTree< L, Y >::Node::choose | ( | const L & | label,
|  | size_t | index ) const

pure virtual

Implemented in gtsam::DecisionTree< L, Y >::Choice< L, Y >, and gtsam::DecisionTree< L, Y >::Leaf< L, Y >.

## dot()

template<typename L, typename Y>

virtual void gtsam::DecisionTree< L, Y >::Node::dot | ( | std::ostream & | os,
|  | const LabelFormatter & | labelFormatter,
|  | const ValueFormatter & | valueFormatter,
|  | bool | showZero ) const

pure virtual

Implemented in gtsam::DecisionTree< L, Y >::Choice< L, Y >, and gtsam::DecisionTree< L, Y >::Leaf< L, Y >.

## equals()

template<typename L, typename Y>

virtual bool gtsam::DecisionTree< L, Y >::Node::equals | ( | const Node & | other,
|  | const CompareFunc & | compare = &DefaultCompare ) const

pure virtual

Implemented in gtsam::DecisionTree< L, Y >::Choice< L, Y >, and gtsam::DecisionTree< L, Y >::Leaf< L, Y >.

## operator()()

template<typename L, typename Y>

virtual const Y & gtsam::DecisionTree< L, Y >::Node::operator() | ( | const Assignment< L > & | x | ) | const

pure virtual

Implemented in gtsam::DecisionTree< L, Y >::Choice< L, Y >, and gtsam::DecisionTree< L, Y >::Leaf< L, Y >.

## print()

template<typename L, typename Y>

virtual void gtsam::DecisionTree< L, Y >::Node::print | ( | const std::string & | s,
|  | const LabelFormatter & | labelFormatter,
|  | const ValueFormatter & | valueFormatter ) const

pure virtual

Implemented in gtsam::DecisionTree< L, Y >::Choice< L, Y >, and gtsam::DecisionTree< L, Y >::Leaf< L, Y >.

## sameLeaf() [1/2]

template<typename L, typename Y>

virtual bool gtsam::DecisionTree< L, Y >::Node::sameLeaf | ( | const Leaf & | q | ) | const

pure virtual

Implemented in gtsam::DecisionTree< L, Y >::Choice< L, Y >, and gtsam::DecisionTree< L, Y >::Leaf< L, Y >.

## sameLeaf() [2/2]

template<typename L, typename Y>

virtual bool gtsam::DecisionTree< L, Y >::Node::sameLeaf | ( | const Node & | q | ) | const

pure virtual

Implemented in gtsam::DecisionTree< L, Y >::Choice< L, Y >, and gtsam::DecisionTree< L, Y >::Leaf< L, Y >.

The documentation for this struct was generated from the following file:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/discrete/DecisionTree.h